Description: Disable tests which use exometer backend
 The exometer backend is not yet included in Debian.
Forwarded: not-needed
Author: James Valleroy <jvalleroy@mailbox.org>
Last-Update: 2019-07-24

--- a/test/metrics_tests.erl
+++ b/test/metrics_tests.erl
@@ -14,12 +14,10 @@
 setup() ->
   {ok, _} =  application:ensure_all_started(metrics),
   {ok, _} =  application:ensure_all_started(folsom),
-  {ok, _} =  application:ensure_all_started(exometer_core),
   ok.
 
 teardown(_) ->
   application:stop(folsom),
-  application:stop(exometer_core),
   application:stop(metrics),
   ok.
 
@@ -42,23 +40,6 @@
   }.
 
 
-exometer_test_() ->
-  {
-    "Exometer backend test",
-    {foreach,
-      fun setup/0, fun teardown/1,
-      [
-
-        fun exometer_counter_test_/1,
-        fun exometer_counter_test_inc_/1,
-        fun exometer_counter_test_mul_/1,
-        fun exometer_gauge_test_/1,
-        fun exometer_update_or_create_/1,
-        fun exometer_delete_/1
-      ]
-    }
-  }.
-
 folsom_counter_test_(_) ->
   ok = metrics:backend(metrics_folsom),
   ok = metrics:new(counter, "c"),
@@ -97,42 +78,3 @@
   ok = metrics:new(counter, "c"),
   ok = metrics:delete("g"),
   ?_assertEqual(["c"], folsom_metrics:get_metrics()).
-
-exometer_counter_test_(_) ->
-  ok = metrics:backend(metrics_exometer),
-  ok = metrics:new(counter, "c1"),
-  metrics:update("c1"),
-  ?_assertMatch({ok, [{value, 1}, _]}, exometer:get_value("c1")).
-
-exometer_counter_test_inc_(_) ->
-  ok = metrics:backend(metrics_exometer),
-  ok = metrics:new(counter, "c1"),
-  metrics:update("c1", {c, 1}),
-  ?_assertMatch({ok, [{value, 1}, _]}, exometer:get_value("c1")).
-
-exometer_counter_test_mul_(_) ->
-  ok = metrics:backend(metrics_exometer),
-  ok = metrics:new(counter, "c1"),
-  metrics:update("c1", {c, 1}),
-  metrics:update("c1", {c, 1}),
-  metrics:update("c1", {c, 4}),
-  metrics:update("c1", {c, -1}),
-  ?_assertMatch({ok, [{value, 5}, _]}, exometer:get_value("c1")).
-
-exometer_gauge_test_(_) ->
-  ok = metrics:backend(metrics_exometer),
-  ok = metrics:new(gauge, "g1"),
-  metrics:update("g1", 1),
-  ?_assertMatch({ok, [{value, 1}, _]}, exometer:get_value("g1")).
-
-exometer_update_or_create_(_) ->
-  ok = metrics:backend(metrics_exometer),
-  metrics:update_or_create("new_exo_counter", {c, 1}, counter),
-  ?_assertMatch({ok, [{value, 1}, _]}, exometer:get_value("new_exo_counter")).
-
-exometer_delete_(_) ->
-  ok = metrics:backend(metrics_exometer),
-  ok = metrics:new(gauge, "g"),
-  ok = metrics:new(counter, "c"),
-  ok = metrics:delete("g"),
-  ?_assertEqual(undefined, exometer:info("g", status)).
